LINUX.ORG.RU
ФорумTalks

[2HighwayStar] О Вайне


0

0

Почему фотошоп цс2 ставится только на вайн 1.38 из репозитария SLE-11? корректно устанавливается и как положено, кажет окошко с параметрами активации. corefonts установлены, 1.41 из репо для опенсузе11.2 просто проскакивает окошко активации и при запуске шоп плюёт ошибку мол инсталлейшн проблем была, и захлопывается. Мож я что не так делаю?

Такая же байда

У меня тоже самое было на Арче:ещё пару дней назад прога инсталлировалась,а после обновления до 1.41-всё,жопа. Пришлось скопировать с ноута (Debian Lenny,WINE 1.38) из Programs Files папку с прогой и тупо вставить в Арч. Заработало без проблем.Что они намутили с вайном-так и не понял.

le_legioner ★★ ()

это скорее не проблема openSUSE, а проблема конкретной версии вайна

что с вайном, который идет искаропки в openSUSE 11.2?

HighwayStar ★★★★★ ()
Ответ на: комментарий от HighwayStar

Неа, не работает нихрена. вообще кидает ошибку c0000005.

https://bugzilla.novell.com/show_bug.cgi?id=564275

а потом по новой регрессия, с 1.39 кажись. Вобщем, мейнтейнеры косячат по полной. В убунте проблем нет, в 1,26 тоже все нормально а в зюзе жопа как обычно.

oguretz ()
Ответ на: комментарий от oguretz

по ссылке доступно объяснено что это баг в вайне и патч уже отправлен в апстрим

- we built 11.2 wine with -fomit-frame-pointer - a MSI CustomAction function in the Photoshop CS2 installer was badly declared CDECL instead of STDCALL and so corrupted the %esp register This was not visible when frame pointers where used (%ebp), but visible if not used.

I submitted a fix to wine and it was applied just now:

HighwayStar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.